# Class LayeredDigraphNetwork`Unindexed`

GoJS® Diagramming Components
version 3.0.14
by Northwoods Software®

#### Hierarchy

- LayoutNetwork
  - LayeredDigraphNetwork

This class represents an abstract graph of LayeredDigraphVertexes and LayeredDigraphEdges that can be constructed based on the Nodes and Links of a Diagram so that the LayeredDigraphLayout can operate independently of the diagram until it is time to commit any node positioning or link routing.

This class inherits from LayoutNetwork.

#####
Index

### Constructors

constructor

#####
Inherited Index

### Accessors

LayoutNetwork.edges
LayoutNetwork.layout
LayoutNetwork.vertexes

### Methods

LayoutNetwork.addEdge
LayoutNetwork.addLink
LayoutNetwork.addNode
LayoutNetwork.addParts
LayoutNetwork.addVertex
LayoutNetwork.deleteArtificialVertexes
LayoutNetwork.deleteEdge
LayoutNetwork.deleteLink
LayoutNetwork.deleteNode
LayoutNetwork.deleteSelfEdges
LayoutNetwork.deleteVertex
LayoutNetwork.findAllParts
LayoutNetwork.findEdge
LayoutNetwork.findVertex
LayoutNetwork.linkVertexes
LayoutNetwork.reverseEdge
LayoutNetwork.splitIntoSubNetworks

## Constructors

### constructor

- new LayeredDigraphNetwork(layout: LayeredDigraphLayout): LayeredDigraphNetwork

- #### Parameters

  - ##### layout: LayeredDigraphLayout

  #### Returns LayeredDigraphNetwork

Copyright © 1998-2024 by Northwoods Software Corporation.